<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends Factory<\App\Models\Color>
 */
class ColorFactory extends Factory
{
    public function definition(): array
    {
        return [
            'name' => fake()->unique()->safeColorName(),
            'hex_code' => fake()->hexColor(),
        ];
    }
}
